classification
Title: Fix compile warnings in thread_pthread.h
Type: compile error Stage: resolved
Components: Interpreter Core Versions: Python 3.4
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: bbrazil, iritkatriel, maker
Priority: normal Keywords: patch

Created on 2012-09-28 10:49 by bbrazil, last changed 2021-01-11 22:58 by iritkatriel. This issue is now closed.

Files
File name Uploaded Description Edit
pthread-warnings.patch bbrazil, 2012-09-28 10:49 review
Messages (4)
msg171432 - (view) Author: Brian Brazil (bbrazil) * Date: 2012-09-28 10:49
Please see attached patch to fix warnings about error being set but not used, I've eliminated error except for the one function that was using it.
msg171671 - (view) Author: Michele OrrĂ¹ (maker) * Date: 2012-09-30 20:35
That's ok for me.
Tested with OSX 10.8 and clang.
msg171672 - (view) Author: Brian Brazil (bbrazil) * Date: 2012-09-30 20:37
I'm on gcc (Ubuntu/Linaro 4.6.3-1ubuntu5) 4.6.3, this was the only warning I saw (though I don't have all the optional libraries installed).
msg384869 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-01-11 22:58
This was resolved here: https://github.com/python/cpython/commit/56379c0d8fc17e717ac1ad73353b5991adae6832
History
Date User Action Args
2021-01-11 22:58:22iritkatrielsetstatus: open -> closed

nosy: + iritkatriel
messages: + msg384869

resolution: out of date
stage: resolved
2012-09-30 20:37:53bbrazilsetmessages: + msg171672
2012-09-30 20:35:56makersetnosy: + maker
messages: + msg171671
2012-09-28 10:49:17bbrazilcreate